Bug 25923 - patch needed against current glibc cvs headers for pam
patch needed against current glibc cvs headers for pam
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
Florence RC-1
Depends On:
  Show dependency treegraph
Reported: 2001-02-03 18:16 EST by Jack Howarth
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-05 17:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jack Howarth 2001-02-03 18:16:38 EST
the pam srpm needs the following patch to build against the headers from
glibc in
the current glibc cvs.

diff -uNr pam-0.74/modules/pam_issue/pam_issue.c
--- pam-0.74/modules/pam_issue/pam_issue.c	Mon Jan  3 13:22:56 2000
+++ pam-0.74.new/modules/pam_issue/pam_issue.c	Sat Feb  3 17:15:58 2001
@@ -28,6 +28,7 @@
 #include <sys/utsname.h>
 #include <utmp.h>
 #include <malloc.h>
+#include <time.h>
 #include <security/_pam_macros.h>
Comment 1 Glen Foster 2001-02-05 17:51:02 EST
We (Red Hat) should really try hard to fix this before next release.
Comment 2 Nalin Dahyabhai 2001-02-05 19:29:36 EST
This will be fixed in pam-0.74-5.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.